<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Разборки банд'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_fightclub.jpg' /></div></center><link rel='stylesheet' href='style.css' type='text/css' /><dl class='mai2n'>";
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

$myband=mysql_query("SELECT * FROM `gorod_band` WHERE `glava`='".$user['nick']."'");
if(!mysql_num_rows($myband)){echo 'Разборки доступны только для главарей банд!';}else{
$myband=mysql_fetch_assoc($myband);

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo 'Введите логин главаря банды (<a href="rband.php">посмотреть</a>)<br/>';
echo 'В случае удачи весь капитал банды будет переведён вам в общак!<br/>';
echo 'Банда проигравшего удаляется!';
echo '<form action="bandnap.php?action=go" method="post">';
echo 'Ник главаря:<br/>';
echo '<input name="glava" value=""/><br/>';
echo '<input type="submit" value="Напасть"/></form>';
break;


case 'go':
$glava=htmlspecialchars(mysql_real_escape_string(trim($_POST['glava'])));
if(!$glava){echo 'Пустые параметры!';break;};
if($glava==$user['nick']){echo 'Ты чё тупой сам себя пресовать?';break;};
$band=mysql_query("SELECT * FROM `gorod_band` WHERE `glava`='$glava'");
if(!mysql_num_rows($band)){echo 'Такой банды не существует!';break;};
$band=mysql_fetch_assoc($band);
echo '-----------------------------<br/>';
echo 'Главарь: <b><font color="red">'.$band['glava'].'</font></b><br/>';
echo 'Название:<b> <font color="red">'.$band['name'].'</font></b><br/>';
echo 'Общак:<font color="red"> <b>'.$band['balans'].'$</b></font><br/>';
$members=mysql_query("SELECT count(*) FROM `user` WHERE `gorod_band`='".$band['name']."'");
$members=mysql_fetch_array($members);
echo 'Бандитов:<b> <font color="red">'.$members[0].'</font></b><br/>';
echo 'Разбито банд:<b> <font color="red">'.$band['kill'].'</font></b>';
echo '<br/>-----------------------------<br/>';
echo '<dl class="mai2n">
<dt></dt>
<b><a href="bandnap.php?action=es&amp;glava='.$glava.'"><dt><img src="skr/011.png" />Наехать</dt></a></b>
</TABLE></div>
';
break;


case 'es':
$glava=htmlspecialchars(mysql_real_escape_string(trim($_GET['glava'])));
if(!$glava){echo 'Ошибка!';break;};
if($glava==$user['nick']){echo 'Ты чё тупой сам себя пресовать?';break;};
$band=mysql_query("SELECT * FROM `gorod_band` WHERE `glava`='$glava'");
if(!mysql_num_rows($band)){echo 'Такой банды не существует!';break;};
$band=mysql_fetch_assoc($band);
$members=mysql_query("SELECT count(*) FROM `user` WHERE `gorod_band`='".$band['name']."'");
$members=mysql_fetch_array($members);
$mymembers=mysql_query("SELECT count(*) FROM `user` WHERE `gorod_band`='".$myband['name']."'");
$mymembers=mysql_fetch_array($mymembers);

$win=$members[0]+$band['kill']+$band['bal']+rand(1,5);
$mywin=$mymembers[0]+$myband['kill']+$myband['bal']+rand(1,5);
if($mywin==$win){echo 'Силы были равны! Все пострадали но никто не проиграл!';break;};
if($mywin>$win){
mysql_query("DELETE FROM `gorod_band` WHERE `name`='".$band['name']."'");
mysql_query("UPDATE `user` SET `gorod_band`='' WHERE `gorod_band`='".$band['name']."'");
mysql_query("UPDATE `gorod_band` SET `balans`=`balans`+'".$band['balans']."',`kill`=`kill`+1,`bal`=`bal`+'".rand(1,2)."' WHERE `glava`='".$user['nick']."'");
echo 'Ваша банда победила! Банда опонента уничтожена, их общак переведён вам!';
}else{
mysql_query("DELETE FROM `gorod_band` WHERE `name`='".$myband['name']."'");
mysql_query("UPDATE `user` SET `gorod_band`='' WHERE `gorod_band`='".$myband['name']."'");
mysql_query("UPDATE `gorod_band` SET `balans`=`balans`+'".$myband['balans']."',`kill`=`kill`+1,`bal`=`bal`+'".rand(1,2)."' WHERE `glava`='".$band['glava']."'");
echo 'Ваша банда разбита! Банда опонента получает ваш общак! У вас больш нет банды!';
};


break;




};
};
echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{echo '<div class="msg">Игра закрыта администратором!</div>';};

}else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>